import "./tasks/hisat2.wdl" as hisat2
import "./tasks/samtools.wdl" as samtools
import "./tasks/stringtie.wdl" as stringtie

workflow {{ project_name }} {

	File read1
	File read2
        File idx
	String idx_prefix
        File gtf
	String sample_id
	
	
	call hisat2.hisat2 as hisat2 {
		input: 
	idx=idx, 
	idx_prefix=idx_prefix, 
	read1=read1,
	read2=read2,
	sample_id=sample_id
	}

        call samtools.samtools as samtools {
               input: 
	sample_id=sample_id, 
	sam = hisat2.sam
	}

        call stringtie.stringtie as stringtie {
              input: 
	gtf = gtf, 
	bam = samtools.out_bam,
	sample_id=sample_id
	}
        
	
}


